module Osi_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libOsi
const libOsi_path = "/usr/lib/libOsi.so.1"
libOsi_handle = C_NULL
get_libOsi_path() = libOsi_path
const libOsi = "libOsi.so.1"
export libOsiCommonTests
const libOsiCommonTests_path = "/usr/lib/libOsiCommonTests.so.1"
libOsiCommonTests_handle = C_NULL
get_libOsiCommonTests_path() = libOsiCommonTests_path
const libOsiCommonTests = "libOsiCommonTests.so.1"
function __init__()
    global libOsi_handle = dlopen(libOsi_path)
    global libOsiCommonTests_handle = dlopen(libOsiCommonTests_path)
end
end
